Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.ApplicationAttribute

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.ApplicationAttribute

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.ApplicationAttribute

extends java.lang.Enum
implements QtEnumerator

This enum describes attributes that change the behavior of application-wide features. These are enabled and disabled using QCoreApplication::setAttribute(), and can be tested for with QCoreApplication::testAttribute(). Menus that are currently open or menus already created in the native Mac OS X menubar MAY NOT pick up a change in this attribute. Changes in the `QAction::iconVisibleInMenu` property will always be picked up.

See Also:
  Serialized Form

Field Summary
`static Qt.ApplicationAttribute` | `AA_AttributeCount`
`static Qt.ApplicationAttribute` | `AA_DontCreateNativeWidgetSiblings` Ensures that siblings of native widgets stay non-native unless specifically set by the `Qt::WA_NativeWindow` attribute.
`static Qt.ApplicationAttribute` | `AA_DontShowIconsInMenus` Actions with the Icon property won't be shown in any menus unless specifically set by the `QAction.:iconVisibleInMenu` property.
`static Qt.ApplicationAttribute` | `AA_ImmediateWidgetCreation` Ensures that widgets are created as soon as they are constructed.
`static Qt.ApplicationAttribute` | `AA_MSWindowsUseDirect3DByDefault` Is a Windows specific attribute, that will make the `Direct3D` paint engine the default Qt widget paint engine.
`static Qt.ApplicationAttribute` | `AA_NativeWindows` Ensures that widgets have native windows.

Method Summary
`static Qt.ApplicationAttribute` | `resolve(int value)` Returns the ApplicationAttribute constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ApplicationAttribute` | `valueOf(java.lang.String name)`
`static Qt.ApplicationAttribute[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AA_ImmediateWidgetCreation

    public static final Qt.ApplicationAttribute AA_ImmediateWidgetCreation

  Ensures that widgets are created as soon as they are constructed. By default, resources for widgets are allocated on demand to improve efficiency and minimize resource usage. Setting or clearing this attribute affects widgets constructed after the change. Setting it tells Qt to create toplevel windows immediately. Therefore, if it is important to minimize resource consumption, do not set this attribute.

### AA_MSWindowsUseDirect3DByDefault

    public static final Qt.ApplicationAttribute AA_MSWindowsUseDirect3DByDefault

  Is a Windows specific attribute, that will make the `Direct3D` paint engine the default Qt widget paint engine. Note that you can toggle usage of the `Direct3D` engine on individual `QWidgets` by setting/clearing the `WA_MSWindowsUseDirect3D` attribute on a specific widget. This functionality is experimental.

### AA_DontShowIconsInMenus

    public static final Qt.ApplicationAttribute AA_DontShowIconsInMenus

  Actions with the Icon property won't be shown in any menus unless specifically set by the `QAction.:iconVisibleInMenu` property.

### AA_NativeWindows

    public static final Qt.ApplicationAttribute AA_NativeWindows

  Ensures that widgets have native windows.

### AA_DontCreateNativeWidgetSiblings

    public static final Qt.ApplicationAttribute AA_DontCreateNativeWidgetSiblings

  Ensures that siblings of native widgets stay non-native unless specifically set by the `Qt::WA_NativeWindow` attribute.

### AA_AttributeCount

    public static final Qt.ApplicationAttribute AA_AttributeCount

Method Detail

### values

    public static Qt.ApplicationAttribute[] values()

### valueOf

    public static Qt.ApplicationAttribute valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ApplicationAttribute resolve(int value)

  Returns the ApplicationAttribute constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD